Share via


Replication Links - Failover

Fails over from the current primary server to this server.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/replicationLinks/{linkId}/failover?api-version=2025-01-01

URI Parameters

Name In Required Type Description
databaseName
path True

string

The name of the database.

linkId
path True

string

The name of the replication link.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ReplicationLink

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/sourcesvr/databases/gamma-db/replicationLinks/4891ca10-ebd0-47d7-9182-c722651780fb/failover?api-version=2025-01-01

Sample response

{
  "name": "4891ca10-ebd0-47d7-9182-c722651780fb",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/sourcesvr/databases/gamma-db/replicationLinks/4891ca10-ebd0-47d7-9182-c722651780fb",
  "properties": {
    "isTerminationAllowed": true,
    "linkType": "GEO",
    "partnerDatabase": "gamma-db",
    "partnerDatabaseId": "/subscriptions/00000000-1111-2222-3333-555555555555/resourceGroups/Second-Default/providers/Microsoft.Sql/servers/testsvr/databases/gamma-db",
    "partnerLocation": "Japan East",
    "partnerRole": "Secondary",
    "partnerServer": "testsvr",
    "percentComplete": 100,
    "replicationMode": "ASYNC",
    "replicationState": "CATCH_UP",
    "role": "Primary",
    "startTime": "2018-06-21T08:12:43.783Z"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/JapanWest/replicationLinksOperationResults/replicationlink-group-test-3?api-version=2022-05-01-preview

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ReplicationLink

A replication link.

ReplicationLinkType

Link type (GEO, NAMED, STANDBY). Update operation does not support NAMED.

ReplicationRole

Local replication role.

ReplicationState

Replication state (PENDING, SEEDING, CATCHUP, SUSPENDED).

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

A replication link.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.isTerminationAllowed

boolean

Whether the user is currently allowed to terminate the link.

properties.linkType

ReplicationLinkType

Link type (GEO, NAMED, STANDBY). Update operation does not support NAMED.

properties.partnerDatabase

string

Resource partner database.

properties.partnerDatabaseId

string

Resource partner database Id.

properties.partnerLocation

string

Resource partner location.

properties.partnerRole

ReplicationRole

Partner replication role.

properties.partnerServer

string

Resource partner server.

properties.percentComplete

integer (int32)

Seeding completion percentage for the link.

properties.replicationMode

string

Replication mode.

properties.replicationState

ReplicationState

Replication state (PENDING, SEEDING, CATCHUP, SUSPENDED).

properties.role

ReplicationRole

Local replication role.

properties.startTime

string (date-time)

Time at which the link was created.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ReplicationLinkType

Link type (GEO, NAMED, STANDBY). Update operation does not support NAMED.

Value Description
GEO

GEO

NAMED

NAMED

STANDBY

STANDBY

ReplicationRole

Local replication role.

Value Description
Primary

Primary

Secondary

Secondary

NonReadableSecondary

NonReadableSecondary

Source

Source

Copy

Copy

ReplicationState

Replication state (PENDING, SEEDING, CATCHUP, SUSPENDED).

Value Description
PENDING

PENDING

SEEDING

SEEDING

CATCH_UP

CATCH_UP

SUSPENDED

SUSPENDED

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.